((a,b)=>{a[b]=a[b]||{}})(self,"$__dart_deferred_initializers__")
$__dart_deferred_initializers__.current=function(a,b,c,$){var B,D,A={alO:function alO(d,e){this.a=d
this.b=e},bf2:function bf2(d,e){this.a=d
this.b=e},bf1:function bf1(d,e,f){var _=this
_.a=d
_.b="https://us.i.posthog.com"
_.c=20
_.y=_.x=!1
_.Q=e
_.as=!1
_.at=f},bfc:function bfc(d){this.b=this.a=!0
this.c=d},
bfb(){var x=0,w=B.o(y.f),v,u
var $async$bfb=B.k(function(d,e){if(d===1)return B.l(e,w)
while(true)switch(x){case 0:v=new A.bfc(D.bQ)
u=new A.bf1("phc_dJC7wyB8GaDS7Uq9FdL7HGlt0C7AUrXIIwXHt3Q4tha",C.ann,v)
u.x=u.y=!0
u.b="https://posthog.winsoo.ir"
v.b=v.a=!1
u.c=1
u.Q=C.anm
$.GA()
x=2
return B.e($.P9().KY(u),$async$bfb)
case 2:return B.m(null,w)}})
return B.n($async$bfb,w)}},C
B=c[0]
D=c[2]
A=a.updateHolder(c[4],A)
C=c[6]
A.alO.prototype={
J(){return"PostHogPersonProfiles."+this.b}}
A.bf2.prototype={
J(){return"PostHogDataMode."+this.b}}
A.bf1.prototype={
iI(){var x=this,w=x.at,v=y.g,u=y.b
return B.aa(["apiKey",x.a,"host",x.b,"flushAt",x.c,"maxQueueSize",1000,"maxBatchSize",50,"flushInterval",30,"sendFeatureFlagEvents",!0,"preloadFeatureFlags",!0,"captureApplicationLifecycleEvents",x.x,"debug",x.y,"optOut",!1,"surveys",!1,"personProfiles",x.Q.b,"sessionReplay",!1,"dataMode","any","sessionReplayConfig",B.aa(["maskAllImages",w.b,"maskAllTexts",w.a,"throttleDelayMs",D.e.aH(w.c.a,1000)],v,u)],v,u)}}
A.bfc.prototype={}
var z=a.updateTypes([]);(function inheritance(){var x=a.inheritMany
x(B.a18,[A.alO,A.bf2])
x(B.z,[A.bf1,A.bfc])})()
var y={g:B.am("f"),b:B.am("@"),f:B.am("~")};(function constants(){C.aDr=new A.bf2(2,"any")
C.anm=new A.alO(1,"always")
C.ann=new A.alO(2,"identifiedOnly")})()};
(a=>{a["mvyCVEjszoIG+y6bSQ31wBFylCw="]=a.current})($__dart_deferred_initializers__);